]> arthur.barton.de Git - bup.git/blobdiff - t/test.sh
prune-older: keep most recent save in each period group
[bup.git] / t / test.sh
index d270e61583d164578243009da3a39fc5da5b16c3..943ab60458dcd05c9b2507bb20e8ba8c28107626 100755 (executable)
--- a/t/test.sh
+++ b/t/test.sh
@@ -5,7 +5,7 @@
 
 set -o pipefail
 
-top="$(WVPASS /bin/pwd)" || exit $?
+top="$(WVPASS pwd)" || exit $?
 tmpdir="$(WVPASS wvmktempdir)" || exit $?
 export BUP_DIR="$tmpdir/bup"
 
@@ -197,8 +197,8 @@ c/"
 WVSTART "save disjoint top-level directories"
 (
     # Resolve any symlinks involving the top top-level dirs.
-    real_pwd="$(WVPASS realpath .)" || exit $?
-    real_tmp="$(WVPASS realpath /tmp/.)" || exit $?
+    real_pwd="$(WVPASS resolve-parent .)" || exit $?
+    real_tmp="$(WVPASS resolve-parent /tmp/.)" || exit $?
     pwd_top="$(echo $real_pwd | WVPASS awk -F "/" '{print $2}')" || exit $?
     tmp_top="$(echo $real_tmp | WVPASS awk -F "/" '{print $2}')" || exit $?